
::placeholder { /* Estándar reciente */
    text-transform: none;
}

/* Violeta Tenue */
.bg-primary3 {
    background-color: #7180E5 !important;
}

/* Violeta Muy Tenue */
.bg-primary3a {
    background-color: #C6CDFA !important;
}



/* Azul Tenue */
.bg-primary4 {
    background-color: #3981DF !important;
}


.pay_width_85 {
    width: 85%;
}

.table.dataTable thead th {
    background-color: #C6CDFA;
    color: black;
}

.spinner-border-reverse {
    animation: spin-reverse 0.75s linear infinite;
}

@keyframes spin-reverse {
    100% {
        transform: rotate(-360deg);
    }
}

.text-20 {
  font-size: 20px;
}

.font-size-20 {
  font-size: 20px;
}

.font-size-10pm {
 font-size: 10px; 
}

.txtDerecha {
    text-align: right;
}


table.dataTable td {
  font-size: 1em;
}

.table_pay {
    --bs-table-color-type: initial;
    --bs-table-bg-type: unset;
    --bs-table-color-state: initial;
    --bs-table-bg-state: unset;
    --bs-table-color: rgba(var(--bs-emphasis-color-rgb), 0.1)
    --bs-table-bg: rgba(var(--bs-emphasis-color-rgb), 0.05);
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: var(--bs-emphasis-color);
    --bs-table-striped-bg: rgba(var(--bs-emphasis-color-rgb), 0.05);
    --bs-table-active-color: var(--bs-emphasis-color);
    --bs-table-active-bg: rgba(var(--bs-emphasis-color-rgb), 0.1);
    --bs-table-hover-color: var(--bs-emphasis-color);
    --bs-table-hover-bg: rgba(var(--bs-emphasis-color-rgb), 0.075);
}


.table_payx {
    --bs-table-color-type: initial;
   /* --bs-table-bg-type: initial; */
    --bs-table-color-state: initial;
   /* --bs-table-bg-state: initial; */
    --bs-table-color: var(--bs-emphasis-color);
    --bs-table-bg: var(--bs-body-bg);
    --bs-table-border-color: var(--bs-border-color);
    --bs-table-accent-bg: transparent;
    --bs-table-striped-color: var(--bs-emphasis-color);
    --bs-table-striped-bg: rgba(var(--bs-emphasis-color-rgb), 0.05);
    --bs-table-active-color: var(--bs-emphasis-color);
    --bs-table-active-bg: rgba(var(--bs-emphasis-color-rgb), 0.1);
    --bs-table-hover-color: var(--bs-emphasis-color);
    --bs-table-hover-bg: rgba(var(--bs-emphasis-color-rgb), 0.075);
}

/* CSS PARA LA BUSQUEDA  */
/*
        .search-container {
            position: relative;
            width: 300px;
            margin: auto;
        }
        .results {
            border: 1px solid #ccc;
            max-height: 150px;
            overflow-y: auto;
            position: absolute;
            top: 38px; / * Ajusta según la altura de tu input * /
            left: 0;
            width: 100%;
            background: #fff;
            z-index: 1000; / * Asegúrate de que se superponga correctamente * /
        }
        .result-item {
            padding: 10px;
            cursor: pointer;
        }
        .result-item:hover {
            background: #f1f1f1;
        }
*/

.results {
   /*  border: 1px solid #ccc;  */
    max-height: 150px;
    overflow-y: auto;
    position: absolute;
    top: 100%;
    left: 0;
    width: 130%;
    background: #fff;
    z-index: 1000;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.result-item {
    padding: 10px;
    cursor: pointer;
    border-bottom: 1px solid #ddd; 
}

.result-item:hover {
    background: #f1f1f1;
}


.text-color-bg {
  color: #3949AB !important;
}

/* PERSONALIZADO */
.card-title {
    margin: 0;
    color: #3949AB !important;
    font-size: 20px;
    font-weight: 600;
    line-height: 1.6;
}

.card-subtitle {
    margin-top: calc(-.5 * var(--bs-card-title-spacer-y));
    margin-bottom: 0;
    color: #3949AB !important;
}


.readonly-cell {
  all: unset; /* Elimina bordes, padding, etc. */
  display: inline; /* Asegura que se vea como texto */
  line-height: 1.5;
}

.no-border {
  border: none !important;
}

.readonly-td {
  border: none !important;
  background-color: transparent !important;
}

.editable-td {
  border: 1px solid #ccc;
  background-color: #fff;
}

.editable-input-td {
    border: none; 
    background: transparent; 
    box-shadow: none; 
    outline: none; 
    width: 100%; 
    padding: 4px;
}

.accion-cell {
  background-color: transparent !important;
  border: none !important;
  padding: 4px 8px;
  box-shadow: none !important;
}

.spinner-animado {
  display: inline-block;
  animation: girar 0.8s linear infinite;
  transform-origin: center center;
}

@keyframes girar {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.btn-primary-pay01 {
  color: #fff;
    background: #1572E8 !important;
    border-color: #1572E8 !important;
}

.modal-contentXX {
  border-radius: 1rem;
  max-height: 90vh;
  overflow-y: auto;
}

.vgt-table tbody tr:hover {
  background-color: #f2f2f2;
}

.text-end {
  text-align: right !important;
}

/*
#7180E5 bg-primary3 
#C6CDFA bg-primary3a

#8F9AEF bg-primary3b
#AAB3F3 bg-primary3c
#C5CCF7 bg-primary3d

#E0E5FB bg-primary3e  Encabezado de Tabla
#F3F6FF bg-primary3f
*/